import { shopeeSetting, appSetting } from '@/plugins/setting';
import configShopee from '@/config/shopee';

/** @returns {StoreSetting} */
export const state = () => {
  return {
    activeTab: 'shopee-product',
    configShopee: shopeeSetting.shopeeConfigProduct.get(),
    listBadWord: appSetting.badWord.get(),
    wartermarkProduct: {
      active: false,
      base64: '',
      size: {
        width: 0,
        height: 0,
      },
    },
    shopeeConfigClone: {
      maxDescription: configShopee.product.maxDescription,
      maxTitle: configShopee.product.maxTitle,
    },
    isBetaMode: !!appSetting.betaMode.get(),
    useShopManager: !!appSetting.useShopManager.get(),
    workerFetchService: !!appSetting.workerFetchService.get(),
  };
};
